Skip to content

Project

Service endpoints to access DrillPlan projects.

Get user joined project list

Request

Get user joined project list

Security
bearer and appkey
Headers
slb-data-partition-idstringrequired

The data partition id.

curl -i -X GET \
  https://eu-api.delfi.slb.com/drillplan/plan/v1/projects/joined \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-data-partition-id: string'

Responses

Success

Bodyapplication/json
Array [
project_idstring
project_namestring
main_well_idstring
well_namestring
client_namestring
countrystring or null
coordinate_reference_systemstring or null
created_bystring or null
create_datestring or null
languagestring
main_uwistring or null
]
Response
[ { "project_id": "string", "project_name": "string", "main_well_id": "string", "well_name": "string", "client_name": "string", "country": "string", "coordinate_reference_system": "string", "created_by": "string", "create_date": "string", "language": "string", "main_uwi": "string" } ]